package org.jboss.jtademo;

import javax.transaction.*;

import java.sql.*;

public class Example1 {

	public static void main(String[] args) throws Exception {
		AS as = new AS();
		UserTransaction ut = as.getUT();
		System.out.println("JTA status: " + Util.convertTransactionStatus(ut.getStatus()));
		ut.begin();
		System.out.println("JTA status: " + Util.convertTransactionStatus(ut.getStatus()));
		Connection conn = as.getConnection();
		conn.createStatement().execute("insert into JTAEX values ('ex1-step1')");
		as.close(conn);
		ut.commit();
		System.out.println("Check contents of JTAEX table");
		System.in.read();
		System.out.println("JTA status: " + Util.convertTransactionStatus(ut.getStatus()));
		ut.begin();
		conn = as.getConnection();
		System.out.println("JTA status: " + Util.convertTransactionStatus(ut.getStatus()));
		conn.createStatement().execute("insert into JTAEX values ('ex1-step2')");
		as.close(conn);
		ut.rollback();
		System.out.println("Check contents of JTAEX table");
		System.out.println("JTA status: " + Util.convertTransactionStatus(ut.getStatus()));
	}
}
