package org.jboss.jtademo;

import javax.transaction.TransactionManager;
import javax.transaction.xa.XAResource;

public class Example3 {

	public static void main(String[] args) throws Exception {
		AS as = new AS();
		TransactionManager tm = as.getTM();

		// Two resources
		System.out.println("Begin TX - 2PC expected");
		tm.begin();
		System.out.println("Enlist resource");
		FileXAResource file1 = new FileXAResource("ex3-res1.txt", "First file");
		FileXAResource file2 = new FileXAResource("ex3-res2.txt", "Second file");
		tm.getTransaction().enlistResource(file1);
		tm.getTransaction().enlistResource(file2);
		System.out.println("Delist resource");
		tm.getTransaction().delistResource(file2, XAResource.TMSUCCESS);
		tm.getTransaction().delistResource(file1, XAResource.TMSUCCESS);
		System.out.println("Commit TX");
		tm.commit();

		// One resource
		System.out.println("\nBegin TX - 1PC expected");
		tm.begin();
		System.out.println("Enlist resource");
		FileXAResource file3 = new FileXAResource("ex3-res3.txt", "Third file");
		tm.getTransaction().enlistResource(file3);
		System.out.println("Delist resource");
		tm.getTransaction().delistResource(file3, XAResource.TMSUCCESS);
		System.out.println("Commit TX");
		tm.commit();
	}
}
