package org.jboss.jtademo;

import javax.transaction.TransactionManager;
import javax.transaction.xa.XAResource;

public class Example4 {

	public static void main(String[] args) throws Exception {
		AS as = new AS();
		TransactionManager tm = as.getTM();

		// Two resources
		System.out.println("Begin TX - 2PC expected");
		tm.begin();
		System.out.println("Enlist resource");
		XAResource res1 = new PrintXAResource();
		XAResource res2 = new PrintXAResource();
		tm.getTransaction().enlistResource(res1);
		tm.getTransaction().enlistResource(res2);
		tm.getTransaction().registerSynchronization(new PrintSynchronization());
		System.out.println("Delist resource");
		tm.getTransaction().delistResource(res2, XAResource.TMSUCCESS);
		tm.getTransaction().delistResource(res1, XAResource.TMSUCCESS);
		System.out.println("Commit TX");
		tm.commit();

		// One resource
		System.out.println("\nBegin TX - 1PC expected");
		tm.begin();
		System.out.println("Enlist resource");
		tm.getTransaction().enlistResource(res1);
		tm.getTransaction().registerSynchronization(new PrintSynchronization());
		System.out.println("Delist resource");
		tm.getTransaction().delistResource(res1, XAResource.TMSUCCESS);
		System.out.println("Commit TX");
		tm.commit();
	}
}
